
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JAVA操作数字证书的方法 / iVAN</title>

    <meta name="description" content="JAVA操作数字证书的方法 一:需要包含的包 import java.security.*; import java.io.*; import java.util.*; import java.security.*; import java.security.cert.*; import sun.security.x509.* import java.security.cert.Certificate; import java.security.cert.CertificateFactory; 二:从文件中读取证书 用ke">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JAVA操作数字证书的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一：需要包含的包</p>
<p><code>import java.security.*;<br />
import java.io.*;<br />
import java.util.*;<br />
import java.security.*;<br />
import java.security.cert.*;<br />
import sun.security.x509.*<br />
import java.security.cert.Certificate;<br />
import java.security.cert.CertificateFactory;</code></p>
<p>二：从文件中读取证书</p>
<p>用keytool将.keystore中的证书写入文件中，然后从该文件中读取证书信息</p>
<p><code>CertificateFactory cf=CertificateFactory.getInstance("X.509");<br />
FileInputStream in=new FileInputStream("out.csr");<br />
Certificate c=cf.generateCertificate(in);<br />
String s=c.toString();</code></p>
<p>三：从密钥库中直接读取证书</p>
<p><code>String pass="123456";<br />
FileInputStream in=new FileInputStream(".keystore");<br />
KeyStore ks=KeyStore.getInstance("JKS");<br />
ks.load(in,pass.toCharArray());<br />
java.security.cert.Certificate c=ks.getCertificate(alias);//alias为条目的别名</code></p>
<p>四：JAVA程序中显示证书指定信息</p>
<p><code>System.out.println("输出证书信息:\n"+c.toString());<br />
System.out.println("版本号:"+t.getVersion());<br />
System.out.println("序列号:"+t.getSerialNumber().toString(16));<br />
System.out.println("主体名："+t.getSubjectDN());<br />
System.out.println("签发者："+t.getIssuerDN());<br />
System.out.println("有效期："+t.getNotBefore());<br />
System.out.println("签名算法："+t.getSigAlgName());<br />
byte [] sig=t.getSignature();//签名值<br />
PublicKey pk=t.getPublicKey();<br />
byte [] pkenc=pk.getEncoded();<br />
System.out.println("公钥");<br />
for(int i=0;i&lt;pkenc.length;i++)System.out.print(pkenc[i]+",");</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 04:38:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/import/" title="import">import</a>, <a href="https://www.iamivan.net/tag/%e8%af%81%e4%b9%a6/" title="证书">证书</a>, <a href="https://www.iamivan.net/tag/security/" title="Security">Security</a>, <a href="https://www.iamivan.net/tag/println/" title="println">println</a>, <a href="https://www.iamivan.net/tag/ofbiz-java-pk/" title="ofbiz  java  pk">ofbiz  java  pk</a>, <a href="https://www.iamivan.net/tag/java-fileinputstream/" title="java fileinputstream">java fileinputstream</a>, <a href="https://www.iamivan.net/tag/ios%e8%af%81%e4%b9%a6/" title="ios证书">ios证书</a>, <a href="https://www.iamivan.net/tag/keystore/" title="keystore">keystore</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JAVA操作数字证书的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mygae4z.html" rel="bookmark">纯Java实现数字证书生成签名的简单实例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.ylsoft.cert; import java.io.File; import java.io.FileInputStream; import java.io.FileOutputStream; import java.io.IOException; import java.security.InvalidKeyException; import java.security.KeyPair; import java.security.KeyPairGenerator;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArAevp.html" rel="bookmark">Win8系统安装Win7提示无法验证winloader数字证书解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  最近不少网友在阅读&quot;Win8下怎么安装Win7 Win8下装Win7图文教程&quot;,阅读之后发现第一次重启win7系统过程中提示:无法验证winloader文件的数字证书,不知道怎么回事,出现此问题的原因有很多种,下面小编分享Win8下安装Win7系统提示&quot;无法验证winloader数字证书&quot;的解决方法. 方法一: 首先重启电脑再试试,依然不行请尝试一下方法: 方法二: 1.如果有Windows 安装光盘,请插入该光盘病重新启动计算机,单击&quot;修复计算机&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Z78Pb.html" rel="bookmark">XP系统下数字证书备份方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				还在使用windows xp系统的用户,应该多多少少对NTFS分区格式有所了解.很多用户会用系统自带的EFS把一些重要的数据加密保存.EFS加密系统对用户是透明的.这也就是说,如果你加密了一些数据,那么你对这些数据的访问将是完全允许的,并不会受到任何限制.而其他非授权用户试图访问加密过的数据时,就会收到&quot;访问拒绝&quot;的错误提示.可是,有部分用户反映,重装系统前如果没有备份好个人加密证书和密钥文件,被加密的文件就不能访问,甚至不允许删除了.所以我们有必要对数字证书进行备份,那么怎么备份呢?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWxJjjp.html" rel="bookmark">利用java操作Excel文件的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很久以来都想研究一下利用java操作Excel的方法,今天没事,就稍微了解了一下,特总结一下.利用java操作Excel,有个开源的东东-jxl.jar,可以到http://sourceforge.net/projects/jexcelapi/files/下载. 一.读取Excel文件内容 复制代码 代码如下: /** *//**读取Excel文件的内容     * @param file  待读取的文件     * @return     */    public static String			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1EARxM.html" rel="bookmark">Win7系统下设置支付宝和数字证书的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.首先设置一下浏览器,这里举例IE8浏览器,首先打开浏览器,然后点击&quot;工具--Internet选项&quot;项; 2.在弹出来的对话框中,切换到&quot;高级&quot;选项卡,然后取消勾选&quot;启用内存保护帮助减少联机攻击&quot;; 3.接下来切换到&quot;安全&quot;选项卡下,然后取消勾选&quot;启用保护模式&quot;; 4.最后进入控制面板中的用户账户,然后点击&quot;更改用户账户控制设置&quot;,将等级设置为最低,然后重启计算机. 5.然后登陆支			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyeJw5M.html" rel="bookmark">Java实现数字转成英文的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Java实现数字转成英文的方法.分享给大家供大家参考.具体分析如下: 英文数词,按3位3位区分 Hundred: 100 Thousand:1,000 Million: 1,000,000 Billion: 1,000,000,000 Trillion: 1,000,000,000,000 Quintillion: 1,000,000,000,000,000,000 Sextillion: 1,000,000,000,000,000,000,000 Nonillion: 1,000			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGnJjlp.html" rel="bookmark">解决千牛数字证书安装了没用问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 如果证书安装了没我们可以从几个方法面来检查,如证书问题或者是网络问题,当然也有可能是杀毒软件的问题了,我们下文一起来看看. 千牛数字证书安装了没用怎么办 未安装证书解决办法 方法一:删除数字证书,重新安装数字证书. 方法二:卸载千牛工作台电脑版,重新安装千牛卖家版软件. 方法三:检查是否网络问题. 方法四:检查是否软件插件与电脑不兼容. 方法五:咨询千牛卖家版客服. 方法六:电脑杀毒软件所导致了了,这个问题可能只要退了杀毒软件就可以了. 好了如果上面办法全部试了都不行我们可以找客服来看看吧,让			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKXQmz.html" rel="bookmark">Java操作Excel的2种方法--Poi&comma;jExcelApi</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				老师让查一些java操作excel的方法,在网上查了半天,看的也不太懂,就把有价值的总结一下. 发现java操作Excel的第三方jar包比较多,有两套比较有影响的API可供使用,一个是POI,一个是jExcelAPI. 一.jExcelAPI jExcelAPI是一个韩国程序员的作品,虽然没有POI那样血统高贵,但是在笔者的使用过程中,感觉简单方便,对中文支持非常好,功能也比较强大.它的下载地址是:http://www.andykhan.com/jexcelapi/   它的特征有如下描述:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKLvrp.html" rel="bookmark">Java安全通信、数字证书及应用实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 在本文中,我用详细的语言和大量的图片及完整的程序源码向你展示了在 JAVA中如何实现通过消息摘要.消息验证码达到安全通信.以及用Java的工具生成数字证书,和用程序给数字证书签名.以及用签名后的数学证书签名applet突破applet的访问权限的过程,给出了全部例子的详细代码. 通过本文中你可以学到以下知识: ● 程序间如何安全通信 ● 什么是 及 如何生成消息摘要 ● 什么是 及 如何生成消息验证码 ● 如何使用 Java工具生成和维护数字证书库 ● 如何用程序给数字证书验证签名 ●			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK7JOb.html" rel="bookmark" class="title">Fireworks教程：绘制夏天清凉折扇</a>
					<div>
						  效果图: 步骤一:绘制雏形 步骤2:绘制雏形 步骤3:元件的补间 步骤4:元件的修改 步骤5:取扇环 步骤6:导入素材图片进行美化 步骤7:文字修饰 素材图片					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLaoZz.html" rel="bookmark" class="title">unity发布apk卡住不走了</a>
					<div>
						问题描述 unity发布apk卡住不走了 unity发布apk的时候,不动了怎么办,一直是那个进度值,任务栏图标的进度条也是一闪一闪的,有没有人知道是为什么啊???是不是跟light有关?(没有报任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKEyWp.html" rel="bookmark" class="title">如何屏蔽掉 phpinfo&lpar;&rpar; 函数&lpar;转&rpar;</a>
					<div>
						函数 发表于:中国PHP联盟 www.phpx.com 作者/来源:php2000/www.php2000.com 人气:6 如何屏蔽掉 phpinfo() 函数?2000年12月11日在 php.i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq9RZM.html" rel="bookmark" class="title">十天学会ASP第一天&lbrack;ASP教程基础系列&rsqb;</a>
					<div>
						教程|十天学会 学习目的:安装调试ASP的环境,写出第一个HELLO WORLD程序.   首先我们来安装WINSOWS2000自带的IIS作为服务器.(WINSOWS98的PWS也可以,但是不推荐, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A0xap.html" rel="bookmark" class="title">Scanpst：修复你的outlook收件箱修复</a>
					<div>
						您在使用Outlook收发邮件么?知道什么是个人文件夹(.pst)文件么?知道如何使用收件箱修复工具(Scanpst.exehttp://www.xdowns.com/soft/188/215/201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBY6Wb.html" rel="bookmark" class="title">WPS演示中表格样式的选择</a>
					<div>
						  前面我们探讨了在WPS演示中插入图片以及插入自选图片的方法,而表格也是我们常常使用的工具,在演示文稿中插入表格,也是常有的事,下面小编就为大家介绍下热火在WPS演示中插入表格. 首先打开wps演示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKZAdM.html" rel="bookmark" class="title">如何用PS做婚纱换脸效果</a>
					<div>
						我们先来看一下换头前后的效果对比图 原图 最终效果图 怎么样,换头神功很神奇吧,赶快随我一起来制作吧! 1.首先,我们打开一幅要进行换头的照片,如图3所示. 图3 2.接着,打开另一幅照片,如图4所示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArE0Kp.html" rel="bookmark" class="title">Word怎么制作异形图片</a>
					<div>
						  1.先准备好需要裁剪的图片:通过图像处理软件,将需要裁剪下来的部分调整到图片的中央部位. 2.进入 Word2007 中,利用&quot;绘图&quot;工具栏上的相关按钮,根据裁剪的需要,在文档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oYg3b.html" rel="bookmark" class="title">IE浏览器去广告图文教程</a>
					<div>
						  你还在用Adblock for IE去广告?西西教你更简单的方法 首先开启追踪保护,打开IE,点击右上角工具按钮.选择&quot;管理加载项&quot;-开启追踪保护 复制下面文本,将txt后缀名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72qaap.html" rel="bookmark" class="title">轻松将U盘变成硬盘的绝招</a>
					<div>
						  下载&quot;ChipGenius.exe&quot;软件. 下载后插上U盘,打开&quot;ChipGenius.exe&quot;软件, 通过&quot;芯片型号&quot;或&quot;资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjOElb.html" rel="bookmark" class="title">AIDA64中查看显卡显存容量的方法</a>
					<div>
						  一.如何安装AIDA64 双击下载的安装包,会弹出用户帐户控制对话框&quot;你要允许以下程序对此计算机进行更改吗?&quot;点击&quot;是&quot;,然后&quot;选择安装期间要使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24544p.html" rel="bookmark" class="title">虎嗅：四年覆盖9成互联网企业中高层的网站架构演变</a>
					<div>
						直播视频:                                                                                 (点击图片观看)  幻灯片下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k0y4M.html" rel="bookmark" class="title">一个用于检测FPS和内存占用的小例子</a>
					<div>
						用于实时检测FPS(实际上可以算是检测CPU)和内存占用情况. 使用方法,在application的Document Class(或者Application Class)上构建一个检测器实例(Moni ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLwY6p.html" rel="bookmark" class="title">你看，那个人好像一条狗哎</a>
					<div>
						盖世英雄 大话西游之大圣娶亲里面最后一段对话&quot;那个人样子好怪.&quot; &quot;我也看到了,他好像一条狗.&quot; 小时候不明白,也看不懂,只知道紫霞是漂亮的,犹如梦中的邻家女孩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmDjab.html" rel="bookmark" class="title">IT从业者们，你还以为你们的生活就是工作吗？</a>
					<div>
						我想请问你的每一天有多少时间是在工作?在你的工作之外还有其他的什么活动吗?在对这两个问题的回答,在我们调查的各类人员中,我们发现,越是中高收入的阶层,就往往对第二个问题的回答都是空泛的,而且缺乏操作性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBgXwM.html" rel="bookmark" class="title">c&num;-C&num;中数据库删除按钮中在下面update语句中显示数据库查询过于复杂</a>
					<div>
						问题描述 C#中数据库删除按钮中在下面update语句中显示数据库查询过于复杂 string connstr = &quot;Provider=Microsoft.Jet.OleDb.4.0;&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAB1eM.html" rel="bookmark" class="title">彩虹表的概念</a>
					<div>
						彩虹表是一个用于加密散列函数逆运算的预先计算好的表, 常用于破解加密过的密码散列.一般主流的彩虹表都在100G以上. 查找表常常用于包含有限字符固定长度纯文本密码的加密.这是以空间换时间的典型实践,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK4Wvb.html" rel="bookmark" class="title">&rdquo;java采集网页信息，并获取到所需要的信息存入数据库中对应的字段中去&OpenCurlyDoubleQuote;的相关问题</a>
					<div>
						问题描述 &quot;java采集网页信息,并获取到所需要的信息存入数据库中对应的字段中去&quot;的相关问题 &quot;java采集网页信息,并获取到所需要的信息存入数据库中对应的字段中去&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjwm7M.html" rel="bookmark" class="title">PHP哈希表碰撞攻击原理</a>
					<div>
						最近哈希表碰撞攻击(Hashtable collisions as DOS attack)的话题不断被提起,各种语言纷纷中招.本文结合PHP内核源码,聊一聊这种攻击的原理及实现. 哈希表碰撞攻击的基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zavap.html" rel="bookmark" class="title">微软Build大会即将开始：看点大汇集</a>
					<div>
						硅谷网讯 近年来,微软在世界 各地举办开发者大会,但自1997年以来就未曾在旧金山举办过类似活动. 不过微软本年度的Build开发者大会将会移师硅谷,于6月26至28日期间在旧金山的莫斯康展览中心(M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0jDAp.html" rel="bookmark" class="title">js-Html 背景颜色 当等于0的时候是绿色 不等于0的时候是红色</a>
					<div>
						问题描述 Html 背景颜色 当等于0的时候是绿色 不等于0的时候是红色 怎么让从后台传来的值等于0的情况下背景颜色是绿色 不等于0的情况下背景颜色是红色 &lt;ul class=&quot;con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnLl1M.html" rel="bookmark" class="title">Tachyon 已支持阿里云 OSS，正式改名 Alluxio</a>
					<div>
						近日,人气很火的开源分布式虚拟存储系统 Tachyon 正式更名为 Alluxio,并发布了1.0版本.新的版本新增支持任意存储系统如阿里云对象存储 OSS.Amazon S3.OpenStack S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkoZ8M.html" rel="bookmark" class="title">数字化校园云端把脉 教育云渐成气候</a>
					<div>
						在教育领域,2011年被认为是全国高等院校及教育改革发展的&quot;机遇之年&quot;--十二五规划,提出了我国教育产业与信息化产业相结合的指示方针,要求全国院校切实做好教育产业&lt;云计算服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Rmoz.html" rel="bookmark" class="title">php调用webservice应用介绍教程</a>
					<div>
						Web Service也叫XML Web Service WebService是一种可以接收从Internet或者Intranet上的其它系统中传递过来的请求,轻量级的独立的通讯技术.是:通过SOAP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLPBgM.html" rel="bookmark" class="title">php数组删除元素各种方法总结</a>
					<div>
						删除数组指定元素  代码如下 复制代码 &lt;?php $a=array(0=&gt;&quot;Dog&quot;,1=&gt;&quot;Cat&quot;,2=&gt;&quot;Horse& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYR1qb.html" rel="bookmark" class="title">java中编码问题的处理方案&lowbar;java</a>
					<div>
						首先我使用的开发环境是Eclipse.创建一个Java Project默认的编码则为GBK,如图: 下面便是具体代码: import java.io.UnsupportedEncodingExcept ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYPRVb.html" rel="bookmark" class="title">Mac&sol;Windows下如何安装Node&period;js&lowbar;javascript技巧</a>
					<div>
						Mac 在Mac下,如果你喜欢用homebrew,那么只用一行就可以装好: brew install node 否则,只能考虑手工安装了,步骤如下: 安装Xcode 安装git 运行下面的命令行编译n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk66vp.html" rel="bookmark" class="title">卡巴斯基CEO：网络蠕虫像一支作恶的军队</a>
					<div>
						上周,卡巴斯基CEO尤金·卡巴斯基(Eugene Kaspersky)在克罗地亚的杜布罗夫尼克接待了媒体朋友.杜布罗夫尼克是个美丽的地方,还残存有中世纪的要塞,有玉蓝色的河水,还有巨大的石头墙.尤金· ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvGB6b.html" rel="bookmark" class="title">Kubernetes总架构图</a>
					<div>
						版权声明:本文为博主原创文章,未经博主允许不得转载.如需转载请联系本人,并标明出处和作者. 本文CSDN博客地址:http://blog.csdn.net/huwh_/article/details/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ78AM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;应用驱动，云领未来&rdquo;智绽百城巡展走进曲靖助&OpenCurlyDoubleQuote;滇东重镇&rdquo;转型升级</a>
					<div>
						6月13日,新华三集团(以下简称&quot;新华三&quot;)&quot;应用驱动,云领未来&quot;智绽百城巡展走进云南曲靖,将新华三的新IT战略.新生态战略以及最新的产品与解决方案带到了滇东重 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
